package com.pcloud.book.keywords.entity;

import com.pcloud.common.entity.BaseEntity;

import java.util.Date;

/**
 * @author lily
 * @date 2019/4/23 15:20
 */
public class BookGuideReply extends BaseEntity {

    private Long id;

    /**
     * 欢迎语标识
     */
    private Long bookGuideId;

    /**
     * 回复类型
     */
    private Integer replyType;

    /**
     * 服务标识
     */
    private Long serveId;

    /**
     * 服务类型
     */
    private String serveType;

    /**
     * 内容
     */
    private String content;

    /**
     * 图片地址
     */
    private String picUrl;

    /**
     * 链接地址
     */
    private String linkUrl;

    /**
     * 描述信息
     */
    private String description;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改用户
     */
    private Long updateUser;

    /**
     * 修改时间
     */
    private Date updateTime;

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public Long getBookGuideId() {
        return bookGuideId;
    }

    public void setBookGuideId(Long bookGuideId) {
        this.bookGuideId = bookGuideId;
    }

    public Integer getReplyType() {
        return replyType;
    }

    public void setReplyType(Integer replyType) {
        this.replyType = replyType;
    }

    public Long getServeId() {
        return serveId;
    }

    public void setServeId(Long serveId) {
        this.serveId = serveId;
    }

    public String getServeType() {
        return serveType;
    }

    public void setServeType(String serveType) {
        this.serveType = serveType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    public String getLinkUrl() {
        return linkUrl;
    }

    public void setLinkUrl(String linkUrl) {
        this.linkUrl = linkUrl;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Long updateUser) {
        this.updateUser = updateUser;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "BookGuideReply{" +
                "id=" + id +
                ", bookGuideId=" + bookGuideId +
                ", replyType=" + replyType +
                ", serveId=" + serveId +
                ", serveType='" + serveType + '\'' +
                ", content='" + content + '\'' +
                ", picUrl='" + picUrl + '\'' +
                ", linkUrl='" + linkUrl + '\'' +
                ", description='" + description + '\'' +
                ", createUser=" + createUser +
                ", createTime=" + createTime +
                ", updateUser=" + updateUser +
                ", updateTime=" + updateTime +
                '}';
    }
}
